Bug 1977646 - python-sphinxcontrib-asyncio fails to build with Sphinx 4.0.2
Summary: python-sphinxcontrib-asyncio fails to build with Sphinx 4.0.2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-sphinxcontrib-asyncio
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F35FTBFS PYTHON3.10 1973718
TreeView+ depends on / blocked
 
Reported: 2021-06-30 08:26 UTC by Karolina Surma
Modified: 2021-09-24 20:31 UTC (History)
2 users (show)

Fixed In Version: python-sphinxcontrib-asyncio-0.3.0-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-24 20:31:41 UTC
Type: Bug


Attachments (Terms of Use)

Description Karolina Surma 2021-06-30 08:26:37 UTC
python-sphinxcontrib-asyncio fails to build with Sphinx 4.0.2 in Fedora 35 (currently Rawhide).

+ sphinx-build-3 docs html
Running Sphinx v4.0.2
Extension error:
Could not import extension sphinxcontrib.asyncio (exception: cannot import name 'PyModulelevel' from 'sphinx.domains.python' (/usr/lib/python3.10/site-packages/sphinx/domains/python.py))

For the logs from testing build attempts, see:
https://copr.fedorainfracloud.org/coprs/ksurma/pygments-2.9.0/package/python-sphinxcontrib-asyncio/

You can test you package using Koji scratch build
koji build --scratch <srpm>

For details regarding the Sphinx change, see https://fedoraproject.org/wiki/Changes/Sphinx4
Let us know here if you have any questions. Thank you!

Comment 1 Fedora Release Engineering 2021-08-01 04:23:08 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 35.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-08-25).

A week before the mass branching of Fedora 36 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 34 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-36/f-36-key-tasks.html

Comment 2 Ben Cotton 2021-08-10 13:10:18 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 3 Fedora Release Engineering 2021-08-22 04:22:25 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 35.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-08-25).

A week before the mass branching of Fedora 36 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 34 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-36/f-36-key-tasks.html

Comment 4 Karolina Surma 2021-09-17 12:33:06 UTC
The package was built successfully in current Rawhide (F36), but it's still failing in Fedora 35 with the same error message as in the initial post.

Comment 5 Fedora Update System 2021-09-20 21:40:26 UTC
FEDORA-2021-dee15bce8a has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-dee15bce8a

Comment 6 Fedora Update System 2021-09-21 18:51:54 UTC
FEDORA-2021-dee15bce8a has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-dee15bce8a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-dee15bce8a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-09-24 20:31:41 UTC
FEDORA-2021-dee15bce8a has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.